FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 10-25-2010, 03:58 PM
Mark Loeser
 
Default gentoo-x86 commit in eclass: python.eclass

Arfrever Frehtes Taifersar Arahesis <Arfrever@gentoo.org> said:
> 2010-10-25 16:31:41 Petteri Räty napisał(a):
> > On 10/25/2010 02:54 PM, Arfrever Frehtes Taifersar Arahesis (arfrever)
> > wrote:
> > > arfrever 10/10/25 11:54:19
> > >
> > > Modified: python.eclass
> > > Log:
> > > Set IUSE in EAPI >=4.
> > > Rename _parse_PYTHON_DEPEND() to _python_parse_PYTHON_DEPEND() and unset it after its using.
> > > Ban NEED_PYTHON variable.
> > > Add python_abi_depend().
> > > Fix exporting of python_pkg_setup() in EAPI >=4.
> > >
> >
> > Please revert these until council has approved EAPI 4 for main tree
> > usage or risk the consequences. There is no guarantee that IUSE will be
> > in EAPI 4 although it's likely. If you want such pre-emptive actions in
> > the main tree you should seek our approval first.
>
> python.eclass doesn't support EAPI="4" due to:
>
> if ! has "${EAPI:-0}" 0 1 2 3; then
> die "API of python.eclass in EAPI="${EAPI}" not established"
> fi
>
> The attached patch could be applied if EAPI="4" doesn't contain support for "." in IUSE.
> Should I apply this patch now?

No, you should remove anything that relates to EAPI 4. Please do so as
soon as possible.

Thanks,

--
Mark Loeser
email - halcy0n AT gentoo DOT org
email - mark AT halcy0n DOT com
web - http://www.halcy0n.com
 

Thread Tools




All times are GMT. The time now is 02:10 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org